      SUBROUTINE DERNOP
C
C     CALLED BY SOLVE WHENEVER "NON-RIGID GROUPS" ARE PRESENT
C         ALSO CALLED BY CALCUS
C     CALCULATE LIBRATION AXIS FOR EACH ARG, VECTORS VEC1(I,K)
C
      COMMON/AIDPAR/AX(150,3),AUOBS(150,6),AUCALC(150,6),WU(150,6),
     1  WU1(150,6)
      COMMON//AIDX(3000)
      COMMON/AXESN/ISPAX(15),LT(5,15),LAT(5,15)
      COMMON/AXESC/LBAT(5,15)
      CHARACTER*4 LBAT, ATNX
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG,IMAT, IOUT,IRECAL, IFREQ
      COMMON/CONT2/NP1,NNP1,IORIG,IWU,INOPAR
      COMMON/IAID1/ IAIDX1(1000)
      COMMON/LOC/ VAF(7,3), PVEC(7,3), V5(7,3), VEC1(15,3)
      COMMON/LOCC/ ATNX(7,2), BLLARG(7)
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      DIMENSION DEL1(3)
      EQUIVALENCE  (DEL1(1),AIDX(776))
C
      DO 10 I = 1,NONRIG
      XL2 = 0.
      I1 = LAT(1,I)
      I2 = LAT(2,I)
      DO 20 K = 1,3
      DEL1(K) = AX(I2,K) - AX(I1,K)
      XL2 = XL2 + DEL1(K)*DEL1(K)
   20 CONTINUE
   40 XL2 = SQRT(XL2)
      DO 30 K = 1,3
      VEC1(I,K) = DEL1(K)/XL2
   30 CONTINUE
      IF(ISPAX(I).EQ.0) GO TO 10
C *** ISPAX(I) SET = 1 BY RDIN4 WHEN DEFINING N-R AXES BY 4 INPUT ATOMS
C ***   FOLLOWING PATCH IS TO GENERATE NR AXIS FROM VECTOR PRODUCT OF
C ***    TWO VECTORS DEFINED BY 4 INPUT ATOMS, WITH A 5TH ATOM NAME
C ***    USED TO LOCATE THE AXIS. 5TH ATOM REPLACES USUAL LBAT(2,I) IN
C ***    DERNP.
      I3 = LAT(3,I)
      I4 = LAT(4,I)
      DO 50 K = 1,3
      DEL1(K) = AX(I4,K) - AX(I3,K)
   50 CONTINUE
      V1 = VEC1(I,2)*DEL1(3) - VEC1(I,3)*DEL1(2)
      V2 = VEC1(I,3)*DEL1(1) - VEC1(I,1)*DEL1(3)
      V3 = VEC1(I,1)*DEL1(2) - VEC1(I,2)*DEL1(1)
      V4 = SQRT(V1*V1 + V2*V2 + V3*V3)
      IF(V4.NE.0) GO TO 55
      WRITE(LO,60) (LAT(J,I),J=1,4),I
   60 FORMAT(1H ,'ATOM PAIRS ',A4,' - ',A4,' AND ',A4,' - ',A4,' DEFINE
     1PARALLEL VECTORS, SO NO NON-RIGID AXIS DEFINED FOR GROUP', I4)
      STOP
   55 VEC1(I,1) = V1/V4
      VEC1(I,2) = V2/V4
      VEC1(I,3) = V3/V4
   10 CONTINUE
      RETURN
      END
