      SUBROUTINE DERNP(N)
C
C ***  MAJOR REVISION 7.I.85
C *** CALCULATE THE VECTOR PRODUCT OF TORSIONAL AXIS (VEC1) AND VECTOR
C ***   FROM POINT ON AXIS TO THIS ATOM (N) FOR EACH "NON-RIGID GROUP"
C ***   (M) IT PARTICIPATES IN
C
      COMMON/AIDPAR/AX(150,3),AUOBS(150,6),AUCALC(150,6),WU(150,6),
     1  WU1(150,6)
      COMMON//AIDX(3000)
      COMMON/AXESN/ISPAX(15),LT(5,15),LAT(5,15)
      COMMON/AXESC/LBAT(5,15)
      CHARACTER*4 LBAT
      COMMON/CONT2/NP1,NNP1,IORIG,IWU,INOPAR
      COMMON/IAID1/ IAIDX1(1000)
      COMMON/INOUTN/ NPAGE, KOUTP,  DIS, IAW
      COMMON/INOUTC/ NAME1, ATNAME(150),TISET(20),TITLE,ITBL(29),NAME2
      COMMON/LOC/ VAF(7,3), PVEC(7,3), V5(7,3), VEC1(15,3)
      COMMON/LOCC/ ATNX(7,2), BLLARG(7)
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      DIMENSION IZ(5),DEL(3),NRBP(150)
      EQUIVALENCE(DEL(1),AIDX(751))
      EQUIVALENCE (NRBP(1),IAIDX1(850))
      EQUIVALENCE (IZ(1),IAIDX1(801)), (IAIDX1(1000),IGN)
      CHARACTER*4 ATNX,NAME1, ATNAME, TISET,TITLE*80, ITBL*3, NAME2*5
C
      J1 = 0
      IGN = 0
C   IGN USED TO SIGNAL THAT AN ATOM LYING ON ROTN AXIS OF THE NON-RIGID
C      GROUP SHOULD BE IGNORED (SEE AFTER 50 BELOW) (USED IN DERNON)
      NN = NRBP(N)
      DO 5 J = 1,5
      IH = NN/16
      IZ(J) = NN - 16*IH
      IF(IZ(J).EQ.0)  GO TO 10
      NN = IH
      J1 = J1 + 1
    5 CONTINUE
   10 DO 20 K = 1,J1
      M = IZ(K)
      XL2  = 0.
      IM = LAT(2,M)
      IF(ISPAX(M).NE.0) IM = LAT(5,M)
C ***   PRECEDING SAID ISPAX(I) UNTIL CORRECTED ON 21.II.84
      DO 30 J = 1,3
C ***  SIGN CHANGED OF DEL IN NEXT LINE, 30.XII.84
      DEL(J) = AX(N,J) - AX(IM,J)
C ***  DEL(J) IS NOW VECTOR TO ATOM N (= ATOM K IN 'SOLVE') FROM 2ND
C ***        ATOM DEFINING THE TORSIONAL AXIS
   30 CONTINUE
C ***   V5(M,I) IS VECTOR PRODUCT OF AXIS VECTOR AND VECTOR FROM AXIS
C ***            TO THIS ATOM (N) FOR THIS GROUP (M)
      V5(M,1) = VEC1(M,2)*DEL(3) - VEC1(M,3)* DEL(2)
      V5(M,2) = VEC1(M,3)*DEL(1) - VEC1(M,1)* DEL(3)
      V5(M,3) = VEC1(M,1)*DEL(2) - VEC1(M,2)* DEL(1)
      SCV5 = 0.
      DO 50 J = 1,3
      SCV5 = SCV5 + V5(M,J)*V5(M,J)
   50 CONTINUE
      IF(SCV5.NE.0.0) GO TO 20
      WRITE(LO,100) ATNAME(N),M
  100 FORMAT(1H ,'ATOM ',A4,' LIES ON AXIS FOR NON-RIGID GROUP NO.',
     1 I3,' AND IS IGNORED FOR THAT GROUP,'/5X,
     2 'BUT RESULTS SUSPECT.  REDO AFTER CORRECTION.  ',
     39X,'(ATOM NAMES MEANINGLESS FOR POSNS GENERATED BY SYM)',/)
      IGN = M
   20 CONTINUE
      RETURN
      END
