      SUBROUTINE NRBPAR
C
C     PRODUCE LIST INDICATING IN WHICH ATTACHED RIGID GROUPS EACH ATOM
C          PARTICIPATES
C     NRBP(150)  CONTAINS CONDENSED LIST OF THE NON-RIGID BODY MOTION
C          PARAMETERS THAT AFFECT EACH ATOM
C
      COMMON/AXESN/ISPAX(15),LT(5,15),LAT(5,15)
      COMMON/AXESC/LBAT(5,15)
      CHARACTER*4 LBAT
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG,IMAT, IOUT,IRECAL, IFREQ
      COMMON/IAID1/ IAIDX1(1000)
      COMMON/INOUTN/ NPAGE, KOUTP,  DIS, IAW
      COMMON/INOUTC/ NAME1, ATNAME(150),TISET(20),TITLE,ITBL(29),NAME2
C
      COMMON/NONAM/ NONAME(15,40)
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      CHARACTER*4 NONAME
      DIMENSION NRBP(150),NAFA(40)
      DIMENSION NM(40)
      EQUIVALENCE (NAFA(1),IAIDX1(766))
      EQUIVALENCE(NRBP(1),IAIDX1(850))
      CHARACTER*4 NAME1,ATNAME,TISET,TITLE*80, ITBL*3, NAME2*5
C
      NNM = 0
      MST = 16
      DO 5 I = 1,NTOT
      NRBP(I) = 0
    5 CONTINUE
C       TEST FOR MATCH OF ATOM NAMES OF AFFECTED ATOMS;
C        NOTE THAT THIS TEST IS MORE INFORMATIVE THAN THAT IN
C        EARLIER VERSION, WHICH ONLY PRINTED GENERAL ERROR MESSAGE
C        BUT DID NOT INDICATE WHICH ATOMS WERE WRONG
      DO 7 I = 1,NONRIG
      NAFAI = NAFA(I)
      DO 4 J = 1,NAFAI
    4 NM(J) = 0
      DO 6 L = 1,NTOT
      DO 6 K = 1,NAFAI
      IF(NONAME(I,K).EQ.ATNAME(L)) NM(K) = 1
    6 CONTINUE
      DO 11 J = 1,NAFAI
      IF(NM(J).EQ.0) WRITE(LO,110) J,I
      IF(NM(J).EQ.0) NNM = 1
   11 CONTINUE
    7 CONTINUE
      DO 8 I = 1,NONRIG
      DO 8 J = 1,5
      LAT(J,I) = 0
    8 CONTINUE
      DO 10 L = 1,NTOT
      DO 10 I = 1,NONRIG
      NAFAI = NAFA(I)
      DO 10 K = 1,NAFAI
      IF(ATNAME(L).NE.NONAME(I,K)) GO TO 10
      NRBP(L) = NRBP(L)*MST + I
   10 CONTINUE
      DO 20 I = 1,NONRIG
      LIM = 2
      IF(ISPAX(I).NE.0) LIM = 5
      DO 15 K = 1,NTOT
      DO 15 L = 1,LIM
   15 IF(LBAT(L,I).EQ.ATNAME(K)) LAT(L,I) = K
      DO 17 L = 1,LIM
   17 LT(L,I) = LAT(L,I)
   20 CONTINUE
      DO 25 I = 1,NONRIG
      LIM = 2
      IF(ISPAX(I).NE.0) LIM = 5
      DO 25 L = 1,LIM
      IF(LAT(L,I).EQ.0) GO TO 40
   25 CONTINUE
C      WHEN NNM.NE.0, NAMES OF AFFECTED ATOMS DON'T MATCH INPUT ATOMS
      IF(NNM.NE.0) STOP
      GO TO 50
   40  WRITE(LO,100)
      STOP
  100 FORMAT(1H ,'ATOM NAMES FOR DEFINING NON-RIGID AXES DO NOT MATCH IN
     1PUT ATOM NAMES.  CALCULATION TERMINATED.')
  110 FORMAT(1H ,'ATOM NAME FOR AFFECTED ATOM',I3,' OF NON-RIGID GROUP',
     1 I3, ' DOES NOT MATCH NAME OF ANY INPUT ATOM.',/6X,
     2 'CALCULATION TERMINATED.')
   50 DO 30 I = 1,NTOT
      IF(NRBP(I).GT.1383)  CALL OUTH27
   30 CONTINUE
      RETURN
      END
