      SUBROUTINE OTHR
C
C     WRITES HEADINGS OF RESULTS OF ANALYSIS
C
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG,IMAT, IOUT,IRECAL, IFREQ
      COMMON/CONT2/NP1,NNP1,IORIG,IWU,INOPAR
      COMMON/INOUTN/ NPAGE, KOUTP,  DIS, IAW
      COMMON/INOUTC/ NAME1, ATNAME(150),TISET(20),TITLE,ITBL(29),NAME2
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      CHARACTER*4 NAME1,ATNAME,TISET,TITLE*80, ITBL*3, NAME2*5
C
    1 FORMAT(46H RIGID-BODY MOTION PARAMETERS (INERTIAL FRAME),/)
    2 FORMAT(55H0EIGENVECTORS AND EIGENVALUES OF L AND T IN THE I-FRAME,
     1/)
    3 FORMAT(/,'  T-TENSOR', 5X,5HXI(1),5X,5HXI(2),5X,5HXI(3),10X,8HVALU
     1E(I),5X,'RMS (ANGST.)')
    4 FORMAT(9H L-TENSOR,5X,5HXI(1),5X,5HXI(2),5X,5HXI(3),10X,8HVALUE(I)
     1,5X,10HRMS (RAD.),12X,19HVALUE(I) (DEG. SQ.) ,6X,10HRMS (DEG.),/)
    5 FORMAT(1H ,'RIGID-BODY MOTION PARAMETERS (CARTESIAN CRYSTAL FRAME)
     1' /)
    6 FORMAT(1H ,39HVIBRATION TENSORS IN THE INERTIAL FRAME,/,12X,3HU11,
     16X,3HU22,6X,3HU33,6X,3HU12,6X,3HU13,6X,3HU23,/)
    7 FORMAT(1H ,10X,3HU11,6X,3HU22,6X,3HU33,6X,3HU12,6X,3HU13,6X,3HU23,
     1/)
    8 FORMAT(1H ,49HVIBRATION TENSORS IN THE CARTESIAN CRYSTAL SYSTEM ,/
     1,12X,3HU11,
     26X,3HU22,6X,3HU33,6X,3HU12,6X,3HU13,6X,3HU23,/)
    9 FORMAT(72H EIGENVECTORS AND EIGENVALUES OF L AND T IN THE CARTESIA
     1N CRYSTAL SYSTEM ,///)
   10 FORMAT(15H  S SYMMETRICAL,/)
   11 FORMAT(1H ,38H TRACE OF T REDUCED BY SHIFT OF ORIGIN,/)
   12 FORMAT(1H ,112HLISTING OF THE EIGENVALUES AND EIGENVECTORS OF THE
     1CALCULATED AND OBSERVED VIBRATION TENSORS OF INDIVIDUAL ATOMS,/)
   13 FORMAT(1H ,44HTWO EIGENVALUES DIFFER LESS THAN 10 PER CENT,/,65H A
     1NGULAR RELATIONSHIP U OBSERVED/U CALCULATED NOT WELL DETERMINED,/)
   14 FORMAT(19H CORRELATION MATRIX)
   15 FORMAT(1H ,19HROTATION TO L FRAME,/,42H SHIFT OF ORIGIN REQUIRED T
     1O SYMMETRIZE S ,/)
   16 FORMAT(1H ,55HORIGIN SHIFT AND TENSORS REFERRED TO THE INERTIAL FR
     1AME,/)
   17 FORMAT(1H , /, 112H CAUTION:  THESE 'CORRECTED PARAMETERS' ARE VAL
     1ID ONLY FOR THE CALCULATION OF DISTANCES WITHIN THE RIGID GROUP.
     2  ,/     89H THEY WILL GIVE SPECIOUS RESULTS IF USED IN THE CALCUL
     3ATION OF INTERMOLECULAR DISTANCES.   /      ' NOTE THAT THEY DO
     4 NOT INCLUDE ANY CORRECTION FOR THE EFFECTS OF NON-RIGID LIBRATIONS
     5S.'//15X,3HOLD,34X,3HNEW/)
   18 FORMAT(1H ,22H ANGULAR RELATIONSHIPS,//,30H MOLECULAR AXES - CRYST
     1AL AXES,/)
   19 FORMAT(1H ,30H LIBRATION AXES - CRYSTAL AXES,/)
   20 FORMAT(1H ,32H TRANSLATION AXES - CRYSTAL AXES,/)
   21 FORMAT(1H ,32H LIBRATION AXES - MOLECULAR AXES,/)
   22 FORMAT(1H ,34H TRANSLATION AXES - MOLECULAR AXES,/)
   23 FORMAT(19X,4HA(1),4X,4HA(2),4X,4HA(3),/)
   24 FORMAT(1H ,/,59H RELATIONSHIPS INVOLVE REDUCED TRANSLATION TENSOR
     1(IF ANY), ,/75H  THAT IS, T AFTER SYMMETRIZING S.  IF THIS NOT DON
     2E, THEN ORIGINAL T USED.     )
   25 FORMAT(1H ,43H ATOMIC COORDINATES CORRECTED FOR LIBRATION)
   26 FORMAT(1H ,  ' NON-INTERSECTING AXES DESCRIPTION',/)
   27 FORMAT(1H ,'DISPLACEMENTS OF LIBRATION AXES FROM ORIGIN OF INERTIA
     1L FRAME,IN ANGSTROMS. THIS IS FOR THE NON-INTERSECTING'       /
     21H ,'AXES ALTERNATIVE DESCRIPTION OF THE RIGID BODY MOTION. THE DI
     3SPLACEMENTS ARE MEASURED PARALLEL TO L-AXES.')
   28 FORMAT(' FIRST INDEX GIVES PRINCIPAL AXIS OF L, SECOND GIVES OTHER
     1 AXIS PARALLEL TO WHICH THE SHIFT IS MEASURED'//)
   29 FORMAT(1H ,'SCREW PITCHES (ANGSTROMS/RADIANS) ALONG THE SHIFTED LI
     1BRATION AXES',//)
   30 FORMAT(1H ,  ' EFFECTIVE SCREW TRANSLATIONS (ANGSTROMS) ALONG THE
     1SHIFTED LIBRATION AXIS',/)
   32 FORMAT(17H (INERTIAL FRAME))
   33 FORMAT(1H ,  'LIST OF PARAMETERS WITH NEGATIVE DIAGONAL ELEMENT IN
     1 INVERSE MATRIX, RESULTING IN',/13X,' UNRELIABLE RESULTS, WRONG E.
     2S.D. AND WRONG TERMS IN CORRELATION MATRIX',/)
   34 FORMAT(1H ,39HVIBRATION TENSORS IN THE CRYSTAL SYSTEM,/,12X,3HU11,
     16X,3HU22,6X,3HU33,6X,3HU12,6X,3HU13,6X,3HU23,/)
C
C
      ENTRY OTHR1
C     CALL FROM ATINT
      WRITE(LO,1)
      RETURN
C
      ENTRY OTHR2
C     CALL FROM EIGVLT (KOUTP = 2, CARTESIAN CRYSTAL FRAME) AND ATINT
C        (WHEN KOUTP = 1, INERTIAL FRAME)
      IF(KOUTP.EQ.2)  GO TO 100
      WRITE(LO,2)
      GO TO 110
  100 WRITE(LO,9)
  110 WRITE(LO,4)
      CALL OUTR3
      WRITE(LO,3)
      KOUTP = 3
      CALL OUTR3
      RETURN
C
      ENTRY OTHR3
C     CALL FROM THMB
      WRITE(LO,5)
      RETURN
C
      ENTRY OTHR4
C     CALL FROM THMB
      WRITE(LO,6)
      RETURN
C
      ENTRY OTHR5
C     CALL FROM THMB
      WRITE(LO,7)
      RETURN
C
      ENTRY OTHR6
C     CALL FROM THMB
      WRITE(LO,8)
      RETURN
C
      ENTRY OTHR7
C     CALL FROM OUTR1
      WRITE(LO,10)
      RETURN
C
      ENTRY OTHR8
C     CALL FROM THMB
      WRITE(LO,11)
      RETURN
C
      ENTRY OTHR9
C     CALL FROM ATINT
      WRITE(LO,12)
   90 WRITE(LO,32)
      RETURN
C
      ENTRY OTHR10
C     CALL FROM ATINT
      WRITE(LO,13)
      RETURN
C
      ENTRY OTHR11
C     CALL FROM CORMAT
      WRITE(LO,14)
      RETURN
C
      ENTRY OTHR12
C     CALL FROM LFRAME
      WRITE(LO,15)
      RETURN
C
      ENTRY OTHR13
C     CALL FROM OUTR7
      WRITE(LO,16)
      RETURN
C
      ENTRY OTHR 14
C     CALL FROM LIBCOR
      WRITE(LO,17)
      RETURN
C
      ENTRY OTHR15
C     CALL FROM ANGLES
      WRITE(LO,18)
      WRITE(LO,23)
      RETURN
C
      ENTRY OTHR16
C     CALL FROM OUTR8
      WRITE(LO,19)
      WRITE(LO,23)
      RETURN
C
      ENTRY OTHR17
C     CALL FROM OUTR8
      WRITE(LO,20)
      WRITE(LO,23)
      RETURN
C
      ENTRY OTHR18
C     CALL FROM OUTR8
      WRITE(LO,21)
      WRITE(LO,23)
      RETURN
C
      ENTRY OTHR19
C     CALL FROM OUTR8
      WRITE(LO,22)
      WRITE(LO,23)
      RETURN
C
      ENTRY OTHR20
C     CALL FROM ANGLES
      WRITE(LO,24)
      RETURN
C
      ENTRY OTHR21
C     CALL FROM LIBCOR
      WRITE(LO,25)
      RETURN
C
      ENTRY OTHR22
C     CALL FROM STAS
      WRITE(LO,26)
      WRITE(LO,27)
      WRITE(LO,28)
      RETURN
C
      ENTRY OTHR23
C     CALL FROM OUTR10
      WRITE(LO,29)
      RETURN
C
      ENTRY OTHR24
C     CALL FROM OUTR10
      WRITE(LO,30)
      RETURN
C
      ENTRY OTHR25
C     CALL FROM OUTR12
      WRITE(LO,33)
      RETURN
      ENTRY OTHR26
C     CALL FROM THMB
      WRITE(LO,34)
      RETURN
      END
