      SUBROUTINE UCRYST
C ***   modified re agreement factors, 7.X.91
C     TRANSFORM UCALC TO CRYSTAL SYSTEM FROM CARTESIAN CRYSTAL SYSTEM
C        FOR OBLIQUE CRYSTAL AXES
C
      COMMON/AIDPAR/AX(150,3),AUOBS(150,6),AUCALC(150,6),WU(150,6),
     1  WU1(150,6)
      COMMON/ATPAR/X(150,3),WT(150),MULT(150),UOBS(150,6),SIGU(150,6),UC
     1ALC(150,6),NUORB(150),SIGB(150,6)
      COMMON//AIDX(3000)
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG,IMAT, IOUT,IRECAL, IFREQ
      COMMON/CONT2/NP1,NNP1,IORIG,IWU,INOPAR
      COMMON/CONT3/ISOLV,NTOTS,CONSLV,SUMW,RWUDI,RMS,RMU,gof,sumsig
      COMMON/TMCSIS/TCIC(3,3),TCIU(3,3),TCINVC(3,3),TCINVU(3,3),SCG(3),
     1 OMIN(3,3), TROI(3,3)
      DIMENSION AUCA(3,3),UCH(3,3),TTCNVU(3,3)
      DIMENSION TOMIN(3,3)
      EQUIVALENCE(AUCA(1,1),AIDX(2731)),(UCH(1,1),AIDX(2741))
      EQUIVALENCE(TTCNVU(1,1),AIDX(2751))
      EQUIVALENCE (TOMIN(1,1),AIDX(1923))
      EQUIVALENCE (RWU,AIDX(2897))
C
      IF(NANG.NE.0) GO TO 5
      DO 8 I=1,NTOT
      DO 8 K=1,6
      UCALC(I,K) = AUCALC(I,K)
    8 CONTINUE
      RETURN
    5 WSUM = 0.
      SUM = 0.
      SUMOB = 0.
      sdu = 0.
      sdg = 0.
      CALL TRAMA(OMIN,TOMIN)
      IF(ISIG.LE.0) GO TO 30
      IF(IWU.EQ.1) GO TO 30
C     RECOVER WU CORRESPONDING TO INPUT SIGU FOR CALC RMS
      DO 25 I=1,NA
      DO 25 K=1,6
   25 WU(I,K) = WU1(I,K)
C ***  WU1 come from SUBROUTINE INERT, and = sumsig/sigb(i,k),
C ***    unless sigb input was zero, in which case wu1 set to zero
   30 DO 10 I = 1,NTOT
      CALL VEMA(AUCALC,AUCA,I)
      CALL TRIPLE(OMIN,AUCA,TOMIN,UCH)
      CALL MAVE(UCH,UCALC,I)
      IF(I.GT.NA)  GO TO 10
      IF(WT(I).EQ.800.0) GO TO 10
C ***   DON'T WANT TO INCLUDE DUMMY ATOMS IN CALC STATISTICS (ONLY
C ***     THOSE DUMMIES WITH WT 800.0 ARE IN FIRST NA ATOMS)
      DO 20 K = 1,6
      DELT = (UOBS(I,K) - UCALC(I,K))*WU(I,K)
      SUM = SUM + DELT * DELT
      WSUM = WSUM + WU(I,K)*WU(I,K)
      SUMOB = SUMOB +    ((UOBS(I,K))*WU(I,K))**2
      du = uobs(i,k) - ucalc(i,k)
      sdu = sdu + du*du
C ***   see comment above about WU1, which are equated to WU
      if(wu(i,k).eq.0) go to 20
      esd = sumsig/wu(i,k)
      sdg = sdg + (du/esd)**2
   20 CONTINUE
   10 CONTINUE
C ***  next statement commented out 7.X.91
C      RMS = SQRT((SUM/(NINOBS-NINPAR))*FLOAT(6*(NA-N8))/WSUM)
      rms = sqrt(sdu/ninobs)
      gof = sqrt(sdg/(ninobs-ninpar))
      RMU = SQRT(SUM/WSUM)
      RWU = SQRT(SUM/SUMOB)
      RETURN
      END
