      SUBROUTINE ANGLES
C     CALCULATE ANGULAR RELATIONSHIPS
C
      COMMON//AIDX(3000)
      COMMON/CELLP/CD(12),RCD(12),VOL,VST,G(3,3)
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG, IMAT, IOUT, IRECAL, IFREQ
      COMMON /CONT2/NP1,NNP1,IORIG,IWU,INOPAR
      COMMON/TMCSIS/TCIC(3,3),TCIU(3,3),TCINVC(3,3),TCINVU(3,3),SCG(3),
     1 OMIN(3,3), TROI(3,3)
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      DIMENSION TNEWV(3,3),ATCIC(3,3),VLT(3,3),ALC(3,3),ATC(3,3)
      DIMENSION ALM(3,3),ATM(3,3),TTNEWV(3,3),COARG(5), VT(3,3)
      EQUIVALENCE(VLT(1,1),AIDX(2821)),(VT(1,1), AIDX(2651))
      EQUIVALENCE (TNEWV(1,1),AIDX(611))
      EQUIVALENCE (ATCIC(1,1),AIDX(621)),(ALC(1,1),AIDX(631))
      EQUIVALENCE (ATC(1,1),AIDX(641)),(ALM(1,1),AIDX(651))
      EQUIVALENCE (ATM(1,1),AIDX(661))
      EQUIVALENCE (COARG(1),AIDX(671)),(TTNEWV(1,1),AIDX(681))
C
      PIDIV = 3.14159265359/180.
      DO 5 I = 1,3
      DO 5 J = 1,3
      ATCIC(I,J) = TCIC(I,J)
    5 CONTINUE
      IF(NPARS.EQ.0) GO TO 40
      IF(IORIG.EQ.0) GO TO 40
C     IF NPARS = 0 OR IORIG = 0 THEN NOT THRU LFRAME SUBROUTINE SO
C        TNEWV UNDEFINED.  EIGENVECTORS OF T THEN UNCHANGED FROM ATINT.
      GO TO 30
   40 DO 50 I = 1,3
      DO 50 J = 1,3
      TNEWV(I,J) = VT(I,J)
   50 CONTINUE
   30 CALL TRAMA(TNEWV,TTNEWV)
      CALL DOUBLE(TTNEWV,TCIC,ATC)
      CALL DOUBLE(VLT,TCIC,ALC)
      DO 10 I = 1,3
      DO 10 J = 1,3
      COARG(1) = ATCIC(I,J)/CD(J)
      COARG(2) =   ALC(I,J)/CD(J)
      COARG(3) =   ATC(I,J)/CD(J)
      COARG(4) =   VLT(I,J)
      COARG(5)= TTNEWV(I,J)
      DO 20 K = 1,5
      IF(COARG(K).GT.1.0)  COARG(K) = 1.0
      IF(COARG(K).LT.-1.0)  COARG(K) = -1.0
   20 CONTINUE
      ATCIC(I,J) = ACOS(COARG(1))/PIDIV
      ALC(I,J)   = ACOS(COARG(2))/PIDIV
      ATC(I,J)   = ACOS(COARG(3))/PIDIV
      ALM(I,J)   = ACOS(COARG(4))/PIDIV
      ATM(I,J)   = ACOS(COARG(5))/PIDIV
   10 CONTINUE
C     PRINT RESULTS OF ANGLES
      CALL OUTH6
      CALL OTHR15
      CALL OUTR8
      CALL OTHR20
      RETURN
      END
