      SUBROUTINE ATINT(NCOR)
C         CALCULATE L, T, AND S IN INERTIAL FRAME AND, IF (IFU.GT.0),
C        "INTERPRETATION" OF VIBRATION TENSORS OF THE INDIVIDUAL ATOMS
      COMMON/AIDPAR/AX(150,3),AUOBS(150,6),AUCALC(150,6),WU(150,6),
     1  WU1(150,6)
      COMMON//AIDX(3000)
      COMMON/ATPAR/X(150,3),WT(150),MULT(150),UOBS(150,6),SIGU(150,6),
     1  UCALC(150,6),NUORB(150),SIGB(150,6)
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG, IMAT, IOUT, IRECAL, IFREQ
      COMMON/IAID1/ IAIDX1(1000)
      COMMON/INOUTN/ NPAGE, KOUTP,  DIS, IAW
      COMMON/INOUTC/ NAME1, ATNAME(150),TISET(20),TITLE,ITBL(29),NAME2
      COMMON/TMCSIS/TCIC(3,3),TCIU(3,3),TCINVC(3,3),TCINVU(3,3),SCG(3),
     1 OMIN(3,3), TROI(3,3)
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
C
      DIMENSION AOL(3,3),AOT(3,3),AOC(3,3),P(80),PL(6),PT(6),AHS(3,3)
      DIMENSION VL(3,3), VT(3,3), AHL(3,3), AHT(3,3),TTROI(3,3),UH(3,3)
      DIMENSION AUO(3,3),AUC(3,3),VUO(3,3),VUC(3,3),SIGP(80)
      EQUIVALENCE(AUO(1,1),AIDX(2661)),(AUC(1,1),AIDX(2671))
      EQUIVALENCE(AHL(1,1),AIDX(2601)),(AHT(1,1),AIDX(2611))
      EQUIVALENCE(VL(1,1),AIDX(2641)),(VT(1,1),AIDX(2651))
      EQUIVALENCE (VUO(1,1),AIDX(2681)),(P(1),AIDX(801))
      EQUIVALENCE(VUC(1,1),AIDX(2691)),(PT(1),AIDX(2631))
      EQUIVALENCE (PL(1),AIDX(2621)),  (UH(1,1),AIDX(2490))
      EQUIVALENCE(AOC(1,1),AIDX(2701))
      EQUIVALENCE(AOL(1,1),AIDX(2711)),(AHS(1,1),AIDX(2781))
      EQUIVALENCE(AOT(1,1),AIDX(2721)),(SIGP(1),AIDX(881))
      CHARACTER*4 NAME1, ATNAME, TISET,TITLE*80, ITBL*3, NAME2*5
    1 FORMAT(1H ,48H *  E.S.D.'S NOT TRANSFORMED TO INERTIAL SYSTEM. ,/)
C
      DO 100  I = 1,6
      PL(I) = P(I)
      PT(I) = P(I+6)
  100 CONTINUE
      CALL TRAMA(TROI,TTROI)
C          CONVERT ORIGINAL L,T,S TO INERTIAL SYSTEM, GIVING AHL,AHT,AHS
      CALL VMLT(PL,UH)
      CALL TRIPLE(TTROI,UH,TROI,AHL)
      CALL VMLT(PT,UH)
      CALL TRIPLE(TTROI,UH,TROI,AHT)
      IF(NPARS.EQ.0) GO TO 120
      M = 12
      DO 110 I = 1,3
      DO 110 K = 1,3
      M = M + 1
      UH(I,K) = P(M)
  110 CONTINUE
      CALL TRIPLE(TTROI,UH,TROI,AHS)
      M = 12
      DO 115 I = 1,3
      DO 115 J = 1,3
      M = M + 1
      P(M) = AHS(I,J)
  115 CONTINUE
  120 CALL MVLT(AHL,PL)
      CALL MVLT(AHT,PT)
      DO 125 I = 1,6
      K = I + 6
      P(I) = PL(I)
      P(K) = PT(I)
  125 CONTINUE
C         GET EIGENVALUES AND EIGENVECTORS OF L AND T IN AHL,VL AND AHT,
C         VT.  THE VECTORS, IN COLUMNS, ARE RELATIVE TO INERTIAL AXES.
      CALL EIGEN(AHL,VL,3)
      CALL EIGEN(AHT,VT,3)
      CALL OUTH6
      CALL OTHR1
      WRITE(LO,1)
      KOUTP = 1
      CALL OUTR1
      CALL OTHR2
      IF(IFREQ.LT.0) CALL NRCOR(NCOR)
      IF (IFU.EQ.0)  RETURN
      EPS = 0.1
      PIDIV = 3.14159265359/180.
      CALL OUTH6
      CALL OTHR9
      DO 10 I = 1,NTOT
      IF(WT(I).EQ.800.0.OR.UOBS(I,2).EQ.0.0) GO TO 10
C   SKIP DUMMY ATOMS WITH WEIGHT 800. AND ISOTROPIC ATOMS
      IM = MOD(I,2)
      CALL VEMA(AUOBS,AUO,I)
      CALL VEMA(AUCALC,AUC,I)
      CALL EIGEN(AUO,VUO,3)
      CALL EIGEN(AUC,VUC,3)
      DO 20 J = 1,3
      DO 20 J1= 1,3
      AOC(J,J1) = 0.
      AOL(J,J1) = 0.
      AOT(J,J1) = 0.
      DO 20 J2 = 1,3
      AOC(J,J1) = AOC(J,J1) + VUO(J2,J)*VUC(J2,J1)
      AOL(J,J1) = AOL(J,J1) + VUO(J2,J)*VL(J2,J1)
      AOT(J,J1) = AOT(J,J1) + VUO(J2,J)*VT(J2,J1)
   20 CONTINUE
      DO 24 J=1,3
      DO 24 J1=1,3
      IF(AOC(J,J1).GT.1.) GO TO 31
      IF(AOC(J,J1).LT.-1.) AOC(J,J1)=-1.
   21 IF(AOL(J,J1).GT.1.) GO TO 33
      IF(AOL(J,J1).LT.-1.) AOL(J,J1)=-1.
   22 IF(AOT(J,J1).GT.1.) GO TO 35
      IF(AOT(J,J1).LT.-1.) AOT(J,J1)=-1.
      GO TO 24
   31 AOC(J,J1)=1.
      GO TO 21
   33 AOL(J,J1)=1.
      GO TO 22
   35 AOT(J,J1)=1.
   24 CONTINUE
   23 DO 30 J = 1,3
      DO 30 J1= 1,3
      AOC(J,J1) = ACOS(AOC(J,J1))/PIDIV
      AOL(J,J1) = ACOS(AOL(J,J1))/PIDIV
      AOT(J,J1) = ACOS(AOT(J,J1))/PIDIV
   30 CONTINUE
      IAIDX1(1) = I
      CALL OUTR5
      DO 45 K = 1,2
      K1 = K+1
      DO 45 KI = K1,3
      EIDIV =  ABS(AUO(K,K) - AUO(KI,KI))/AUO(K,K)
      IF(EIDIV.LT.EPS)  GO TO 55
      EIDIV =  ABS(AUC(K,K) - AUC(KI,KI))/AUC(K,K)
      IF(EIDIV.LT.EPS)  GO TO 55
   45 CONTINUE
      GO TO 50
   55 CALL OTHR10
C     PRINT  TWO EIGENVALUES DIFFER LESS THAN 10 PER CENT,
C     ANGULAR RELATIONSHIP BETWEEN UOBS AND UCALC IS INACCURATE
   50 IF(IM.EQ.0)  GO TO 40
      GO TO 10
   40 IF(I.GE.NTOT)  RETURN
      CALL OUTH6
      CALL OTHR9
   10 CONTINUE
      RETURN
      END
