      SUBROUTINE CORMAT(NS)
C
C     CALCULATE CORRELATION MATRIX
C
      COMMON//AIDX(3000)
      COMMON/AMAT/AN(80,80)
      COMMON/CONT2/NP1,NNP1,IORIG,IWU,INOPAR
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      DIMENSION  DIAG(80)
      EQUIVALENCE (DIAG(1),AIDX(1141))
      DOUBLE PRECISION  AN
C
      DO 10 I = 1,NNP1
      DIAG(I) = SQRT(ABS(AN(I,I)))
   10 CONTINUE
      DO 20 I = 1,NNP1
      DO 20 J = 1,NNP1
      IF (DIAG(I).EQ.0.0) GO TO 30
      IF (DIAG(J).EQ.0.0) GO TO 30
C         IF FOR THE ITH  PARAMETER AN(I,I) HAS BEEN SET TO 0.0 BY SOLVE
C             BECAUSE THIS PARAMETER IS IDENTICALLY ZERO, SET ALL ITS
C             CORRELATION COEFFICIENTS TO ZERO.
      AN(I,J) = AN(I,J)/(DIAG(I)*DIAG(J))
      GO TO 20
   30 AN(I,J) = 0.0
   20 CONTINUE
C ***  THIS VERSION DOES NOT PRINT ANY CORRELATION COEFFIC FOR VERY
C ***     SHORT OUTPUT (NS = -2 OR -4)
      IF(NS.EQ.(-2).OR.NS.EQ.(-4)) RETURN
      CALL OUTH6
      CALL OTHR11
      CALL OUTR6
      RETURN
      END
