      SUBROUTINE EIGVLT
C
C     CALCULATES EIGENVECTORS AND EIGENVALUES OF L AND T IN ORTHOGONAL
C     SYSTEM
C     IF KOUTP = 1, INERTIAL FRAME,  IF KOUTP = 2, ORTH.CRYSTAL SYSTEM
C
      COMMON//AIDX(3000)
      COMMON/INOUTN/ NPAGE, KOUTP,  DIS, IAW
      COMMON/INOUTC/ NAME1, ATNAME(150),TISET(20),TITLE,ITBL(29),NAME2
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
C     EIGENVALUES OF L = AHL(I,I),EIGENVECTORS VL(J,I),J=1,3
C     EIGENVALUES OF T = AHT(I,I),EIGENVECTORS VT(J,I),J=1,3
      DIMENSION P(80),AHL(3,3),AHT(3,3),PL(6),PT(6),VL(3,3),VT(3,3)
      EQUIVALENCE(AHL(1,1),AIDX(2601)),(AHT(1,1),AIDX(2611))
      CHARACTER*4 NAME1, ATNAME, TISET,TITLE*80, ITBL*3, NAME2*5
      EQUIVALENCE(PL(1),AIDX(2621)),(PT(1),AIDX(2631))
      EQUIVALENCE(VL(1,1),AIDX(2641)),(VT(1,1),AIDX(2651))
      EQUIVALENCE (P(1),AIDX(801))
C
      DO 10 I = 1,6
      PL(I) = P(I)
      PT(I) = P(I+6)
   10 CONTINUE
      CALL VMLT(PL,AHL)
      CALL VMLT(PT,AHT)
      CALL EIGEN(AHL,VL,3)
      CALL EIGEN(AHT,VT,3)
      CALL OUTH6
      CALL OTHR2
      RETURN
      END
