      SUBROUTINE LOCAL(ILOC)
C
C *** Now also called by CALCUS, June 7, 1991
C ***  CALLED BY SOLVE WHENEVER N-R GROUPS ARE PRESENT
C ***    (ILOC) ADDED 20.I.87, FOR LABELLING OUTPUT
      COMMON/AIDPAR/AX(150,3),AUOBS(150,6),AUCALC(150,6),WU(150,6),
     1  WU1(150,6)
      COMMON//AIDX(3000)
      COMMON/CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTOT
     1,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2  IEIG, IMAT, IOUT, IRECAL, IFREQ
      COMMON/IAID1/ IAIDX1(1000)
      COMMON/INOUTN/ NPAGE, KOUTP,  DIS, IAW
      COMMON/INOUTC/ NAME1, ATNAME(150),TISET(20),TITLE,ITBL(29),NAME2
      COMMON/LOC/ VAF(7,3),PVEC(7,3),V5(7,3),VEC1(15,3)
      COMMON/LOCC/ATNX(7,2), BLLARG(7)
C * * Make common IO assignments.
      COMMON/IOSET/LI,LO,LTB
      DIMENSION AO(80),IZ(5),NRBP(150),IPAIR(7,7)
      DIMENSION  NAFA(15),   NAT(7,2)
      DIMENSION  DEL(3),VH(3),VEC3(3)
      EQUIVALENCE (NAFA(1), IAIDX1(766))
      CHARACTER*4  ATNX
      CHARACTER*4 NAME1,ATNAME,TISET,TITLE*80, ITBL*3, NAME2*5
C ***
C ***  UNIT VECTORS FOR LOCAL AXIAL SYSTEM FOR EACH GROUP, I, WILL BE:
C ***     VEC1(I,J)   VECTOR PARALLEL TO LIBRATION AXIS (FROM DERNOP)
C ***     VAF(I,J)   VECTOR PARALLEL TO MOTION OF 1ST AFFECTED ATOM
C ***     PVEC(I,J)   UNIT VECTOR NORMAL TO FIRST TWO
      DO 800 I = 1,NTOT
      DO 800 J = 1,NONRIG
      DO 800 K = 1,2
      IF(ATNX(J,K).EQ.ATNAME(I))  NAT(J,K) = I
  800 CONTINUE
      DO 880 M =  1,NONRIG
      XL2 = 0.
      M1 = NAT(M,1)
      M2 = NAT(M,2)
C ***  M1,M2 ARE THUS SERIAL NOS, RESPECTIVELY, OF 2ND AXIS-DEFINING
C ***   ATOM (ATNX(I,1) IN RDIN4) AND FIRST ATOM AFFECTED BY MOTION OF
C ***   GROUP I (ATNX(I,2) IN RDIN4); CH SIGN DEL (40242), 30.XII.84
      DO 810 J = 1,3
      DEL(J) = AX(M2,J) - AX(M1,J)
      XL2 = XL2 + DEL(J)*DEL(J)
  810 CONTINUE
      XL2 = SQRT(XL2)
      DO 820 J = 1,3
      VH(J) = DEL(J)/XL2
  820 CONTINUE
      VEC3(1) = VEC1(M,2)*VH(3) - VEC1(M,3)*VH(2)
      VEC3(2) = VEC1(M,3)*VH(1) - VEC1(M,1)*VH(3)
      VEC3(3) = VEC1(M,1)*VH(2) - VEC1(M,2)*VH(1)
      SCVEC = 0.
      DO 830 J = 1,3
      SCVEC = SCVEC + VEC3(J)*VEC3(J)
  830 CONTINUE
      IF(SCVEC.NE.0) GO TO 835
      WRITE(LO,838) ATNAME(M2), M
  838 FORMAT(1H ,'ATOM ',A4,' LIES ON AXIS FOR NON-RIGID GROUP NO.',
     1 I3,' ALTHOUGH SAID TO BE AFFECTED BY THE MOTION. STOP!')
      STOP
  835 SCVEC = SQRT(SCVEC)
      DO 840 J = 1,3
      VAF(M,J) = VEC3(J)/SCVEC
  840 CONTINUE
      VH(1) = VEC1(M,2)*VAF(M,3) - VEC1(M,3)*VAF(M,2)
      VH(2) = VEC1(M,3)*VAF(M,1) - VEC1(M,1)*VAF(M,3)
      VH(3) = VEC1(M,1)*VAF(M,2) - VEC1(M,2)*VAF(M,1)
      PV = 0.
      DO 850 J = 1,3
      PV = PV + VH(J)*VH(J)
  850 CONTINUE
      PV = SQRT(PV)
      DO 860 J = 1,3
      PVEC(M,J) = VH(J)/PV
  860 CONTINUE
  880 CONTINUE
C ***  NOW HAVE THE THREE UNIT VECTORS FOR EACH LOCAL SYSTEM
C *** following line added June 7, 1991
      if (isolv.ne.0)go to 920
      DO 900 I = 1,NONRIG
      WRITE(LO,910) ILOC,I,(VEC1(I,J),J=1,3), (VAF(I,J),J=1,3),
     1   (PVEC(I,J),J=1,3)
  910 FORMAT(1H ,'FOR EQUIV. POSN.',I3,
     1 ', LOCAL REFERENCE SYSTEM VECTORS FOR GROUP',I2,' ARE:'/
     2       10X, 'PARALLEL TO LIBRATION AXIS:',20X,3F10.5/10X,
     3 'PARALLEL TO MOTION OF FIRST ATOM:',14X,3F10.5/10X,
     4 'NORMAL TO FIRST TWO AXES IN RT-HANDED SYSTEM:',2X,3F10.5)
  900 CONTINUE
C *** following statement numbered June 7, 1991
  920 RETURN
      END
