      SUBROUTINE ORTHO
C
C     SET UP MATRICES FOR TRANSFORMATION OF COORDINATES AND U'S TO A
C        CARTESIAN CRYSTAL SYSTEM WITH FIRST AXIS PARALLEL TO A,
C        2ND AXIS PARALLEL TO C*xA, AND THIRD PARALLEL TO C*.
C      CARTESIAN SYSTEM IS RIGHT-HANDED IF ORIGINAL AXES WERE.
C
C     TOR = TRANSFORMATION MATRIX FOR COORDINATES INTO ORTHOGONAL
C     CRYSTAL SYSTEM
C     OMA AND TOMA(TRANSPOSE OF OMA)  = TRANSFORMATION MATRICES
C     FOR U'S  TO ORTHOGONAL CRYSTAL SYSTEM
C
      COMMON//AIDX(3000)
      COMMON/CELLP/CD(12),RCD(12),VOL,VST,G(3,3)
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2 IEIG,IMAT, IOUT,IRECAL, IFREQ
      COMMON/CORDIN/ IRIDE,IMIN,IUNC, IHAT(150), NUNC(20), TUNC(20,3),
     1  TOR(3,3), XCG(3),IHPR
      DIMENSION  D(3,3),OMA(3,3)
      EQUIVALENCE (OMA(1,1),AIDX(2010))
      EQUIVALENCE (D(1,1),AIDX(2028))
C
      TOR(1,1) = CD(1)
      TOR(1,2) = CD(2)*CD(9)
      TOR(1,3) = CD(3)*CD(8)
      TOR(2,1) = 0.
      TOR(2,2) = CD(2)*CD(12)
      TOR(2,3) = CD(3)*(CD(7)-CD(8)*CD(9))/CD(12)
      TOR(3,1) = 0.
      TOR(3,2) = 0.
      SQN = VOL/(CD(1)*CD(2)*CD(3))
      TOR(3,3) = CD(3)*SQN/CD(12)
      DO 10 I = 1,3
      D(I,I) = RCD(I)
      IK = I + 1
      IF(IK.GT.3)  GO TO 15
      DO 10 K = IK,3
      D(I,K) = 0.
      D(K,I) = 0.
   10 CONTINUE
   15 CALL DOUBLE(TOR,D,OMA)
      RETURN
      END
