      SUBROUTINE WEIGHT(NSIG)
C
C     SET WORKING WEIGHTS WU(I,K) = SUMSIG/SIGU(I,K), IF SIGMAS OF U
C     WERE INPUT (SUMSIG = MEAN ESD OF U, CALCD IN MAIN, 145-175)
C
      COMMON/AIDPAR/AX(150,3),AUOBS(150,6),AUCALC(150,6),WU(150,6),
     1  WU1(150,6)
      COMMON/ATPAR/X(150,3),WT(150),MULT(150),UOBS(150,6),SIGU(150,6),UC
     1ALC(150,6),NUORB(150),SIGB(150,6)
      COMMON//AIDX(3000)
      COMMON /CONT1/ISET,NO,NMULT,NA,ICOUNT,NINPAR,NPARS,NINOBS,NANG,NTO
     1T,NPULT,NA1,IFU,IB,NONRIG,NS,ISIG,ISYM,ICORL,IFU1,N8,
     2  IEIG, IMAT, IOUT, IRECAL, IFREQ
      COMMON/CONT2/NP1,NNP1,IORIG,IWU,INOPAR
      COMMON/CONT3/ISOLV,NTOTS,CONSLV,SUMW,RWUDI,RMS,RMU,gof,sumsig
      COMMON/IAID1/ IAIDX1(1000)
      COMMON/IPAR/ NP(80)
C
      NAP1 = NA + 1
      IF(ISIG.EQ.0)  GO TO 20
      IF(ISIG.LT.0)  GO TO 35
C NEXT LINE COMMENTED OUT 24.II.87, ADJUSTED IN DO 10 LOOP BELOW)
C   UNTIL THIS CHANGE MADE, WU(I,K) = 0.0 BEYOND ASYM UNIT WHEN IWU = 1
C     IF(IWU.EQ.1)  GO TO 40
      KA = 1
      KB = NSIG
  110 DO 10 I = KA,KB
      DO 10 K = 1,6
      IF(IWU.EQ.1) GO TO 8
      WU(I,K) = 0.
      IF(SIGU(I,K).EQ.0.)  GO TO 10
      WU(I,K) = SUMSIG/SIGU(I,K)
C       SUMSIG IS THE MEAN ESD OF U, CALCULATED IN MAIN ROUTINE, STATE-
C          MENTS 145-175
      GO TO 10
    8 WU(I,K) = 1.0
   10 CONTINUE
      IF(KB.EQ.NTOT) GO TO 100
C     THE FIRST TIME THROUGH, KB = NSIG, WHICH EQUALS EITHER NA OR NTOT.
C        IF IT EQUALS NTOT ALL WU HAVE ALREADY BEEN CALCULATED FOR THE
C        UNIQUE ATOMS.  IF NSIG EQUALS NA (AND NA IS LESS THAN NTOT),
C        THERE ARE (NTOT - NA) STILL TO BE DONE BEFORE CONSIDERING THE
C        SYMMETRY-RELATED ATOMS.  NOTE THAT THOUGH IT NEEDS WU'S FOR
C        THE UNIQUE ATOMS ONLY FOR THE FIRST NA AS FAR AS THE NORMAL
C        EQUATIONS ARE CONCERNED, IT CHECKS WU IN THE CALCULATION OF
C        THE UCALC VALUES FROM THE RIGID-BODY PARAMETERS (IN CALCUS),
C        AND IT CALCULATES THEM FOR ALL NTOT ATOMS.
      IF(KB.EQ.NTOTS) RETURN
C     AFTER THE SECOND TIME THROUGH, KB WILL EQUAL NTOTS
   15 DO 5 I = NAP1,NTOT
      DO 5 K = 1,6
      SIGU(I,K) = 1.
      WU(I,K) = 1.
    5 CONTINUE
  100 IF(NO.EQ.1) RETURN
      KA = NTOT + 1
      KB = NTOTS
      GO TO 110
   40 IF(NA.EQ.NTOT)  GO TO 50
      DO 42 I = NAP1,NTOT
      DO 42 K = 1,6
      SIGU(I,K) = 1.
      WU(I,K) = 1.
   42 CONTINUE
   50 DO 45 I = 1,NA
      DO 45 K = 1,6
      WU(I,K) = 1.
   45 CONTINUE
      RETURN
   20 DO 25 I = 1,NTOTS
      DO 25 K = 1,6
      WU(I,K) = 1.
   25 CONTINUE
      RETURN
   35 IF(NSIG.EQ.NA)  GO TO 60
   30 DO 55 I = 1,NTOT
      DO 55 K = 1,6
      WU(I,K) = SIGU(I,K)
   55 CONTINUE
      RETURN
   60 DO 65 I = NAP1,NTOT
      DO 65 K = 1,6
      SIGU(I,K) =  1.0
   65 CONTINUE
      GO TO 30
      END
